BadKind (Java Platform SE 8 )
Keywords: org.omg.CORBA.TypeCodePackage.BadKind class
Date: 2018-07-01

org.omg.CORBA.TypeCodePackage

## Class BadKind

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.omg.CORBA.UserException
      - - org.omg.CORBA.TypeCodePackage.BadKind

- All Implemented Interfaces:
    Serializable, IDLEntity

      public final class BadKind
      extends UserException

  The exception `BadKind` is thrown when an inappropriate operation is invoked on a `TypeCode` object. For example, invoking the method `discriminator_type()` on an instance of `TypeCode` that does not represent an IDL union will cause the exception `BadKind` to be thrown.
  Since:
    JDK1.2
  See Also:
    `TypeCode`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BadKind()` Constructs a `BadKind` exception with no reason message.
    `BadKind(String reason)` Constructs a `BadKind` exception with the specified reason message.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### BadKind

          public BadKind()

      Constructs a `BadKind` exception with no reason message.

    - #### BadKind

          public BadKind(String reason)

      Constructs a `BadKind` exception with the specified reason message.
      Parameters:
        `reason` - the String containing a reason message

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2018, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.